- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# digital_ocean_volume_info – Gather information about DigitalOcean volumes

New in version 2.6.

- Synopsis

- Requirements

- Parameters

- Examples

- Return Values

- Status

## Synopsis

- This module can be used to gather information about DigitalOcean provided volumes.

- This module was called `digital_ocean_volume_facts` before Ansible 2.9. The usage did not change.

Aliases: digital_ocean_volume_facts

## Requirements

The below requirements are needed on the host that executes this module.

- python >= 2.6

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
oauth_token string |  | DigitalOcean OAuth token. There are several other environment variables which can be used to provide this value. i.e., - 'DO_API_TOKEN', 'DO_API_KEY', 'DO_OAUTH_TOKEN' and 'OAUTH_TOKEN' aliases: api_token
region_name - |  | Name of region to restrict results to volumes available in a specific region. Please use digital_ocean_region_info for getting valid values related regions.
timeout integer | Default: 30 | The timeout in seconds used for polling DigitalOcean's API.
validate_certs boolean | Choices: no yes ← | If set to `no`, the SSL certificates will not be validated. This should only set to `no` used on personally controlled sites using self-signed certificates.

## Examples

    - name: Gather information about all volume
      digital_ocean_volume_info:
        oauth_token: "{{ oauth_token }}"

    - name: Gather information about volume in given region
      digital_ocean_volume_info:
        region_name: nyc1
        oauth_token: "{{ oauth_token }}"

    - name: Get information about volume named nyc3-test-volume
      digital_ocean_volume_info:
      register: resp_out
    - set_fact:
        volume_id: "{{ item.id }}"
      loop: "{{ resp_out.data|json_query(name) }}"
      vars:
        name: "[?name=='nyc3-test-volume']"
    - debug: var=volume_id

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
data list | success | DigitalOcean volume information Sample: [{'id': '506f78a4-e098-11e5-ad9f-000f53306ae1', 'region': {'name': 'New York 1', 'slug': 'nyc1', 'sizes': ['s-1vcpu-1gb', 's-1vcpu-2gb', 's-1vcpu-3gb', 's-2vcpu-2gb', 's-3vcpu-1gb', 's-2vcpu-4gb', 's-4vcpu-8gb', 's-6vcpu-16gb', 's-8vcpu-32gb', 's-12vcpu-48gb', 's-16vcpu-64gb', 's-20vcpu-96gb', 's-24vcpu-128gb', 's-32vcpu-192gb'], 'features': ['private_networking', 'backups', 'ipv6', 'metadata'], 'available': True}, 'droplet_ids': [], 'name': 'example', 'description': 'Block store for examples', 'size_gigabytes': 10, 'created_at': '2016-03-02T17:00:49Z'}]

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Abhijeet Kasurde (@Akasurde)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.